@mixin flex() {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}
@mixin borderRadius($vaule) {
    border-radius: $vaule;
    -moz-border-radius: $vaule;
    -webkit-border-radius: $vaule;
    -ms-border-radius: $vaule;
    -o-border-radius: $vaule;
}
@mixin bg_round_image($imgsize,$bgposition,$bgsize,$radius) {
    border-radius: $radius;
    -moz-border-radius: $radius;
    -webkit-border-radius: $radius;
    -ms-border-radius: $radius;
    -o-border-radius: $radius;
    width:$imgsize;
    height:$imgsize;
    background-position: $bgposition $bgposition;
    background-size: $bgsize;
}
@mixin transition($transition) {
    -webkit-transition: $transition;
    -o-transition: $transition;
    transition: $transition;
}
@mixin shadow($value) {
    box-shadow: $value;
    -moz-box-shadow: $value;
    -webkit-box-shadow: $value;
    -ms-box-shadow: $value;
    -o-box-shadow: $value;
}
@mixin textShadow($value) {
    text-shadow: $value;
    -moz-text-shadow: $value;
    -webkit-text-shadow: $value;
    -ms-text-shadow: $value;
    -o-text-shadow: $value;
}
@mixin filter($value) {
    -webkit-filter: $value;
    -moz-filter: $value;
    -o-filter: $value;
    filter: $value;
}
@mixin align-items($value) {
    align-items: $value;
    -ms-align-items :$value;
    -moz-align-items:$value;
    -webkit-align-items:$value;
}
@mixin justify-content($value) {
    -webkit-box-pack: $value;
    -ms-flex-pack: $value;
    justify-content: $value;
}
@mixin column-count($value) {
    -webkit-column-count: $value;
    -moz-column-count: $value;
    column-count: $value;
}
@mixin column-gap($value) {
    -webkit-column-gap: $value; /* Chrome, Safari, Opera */
    -moz-column-gap: $value; /* Firefox */
    column-gap: $value;
}

@mixin transform($transforms) {
    -webkit-transform: $transforms;
    -moz-transform: $transforms;
    -ms-transform: $transforms;
    transform: $transforms;
}
// Rotate
@mixin rotate($deg) { 
    @include transform(rotate(#{$deg}deg));
}
// Scale
@mixin scale($scale) {
    @include transform(scale($scale));
}
// Translate
@mixin translate($x, $y) {
    @include transform(translate($x, $y));
}
// Skew
@mixin skew($x, $y) {
    @include transform(skew(#{$x}deg, #{$y}deg));
}

// Transform Origin
@mixin transform-origin ($origin) {
    -webkit-transform-origin: $origin;
    -moz-transform-origin: $origin;
    -ms-transform-origin: $origin;
    transform-origin: $origin;
}

@mixin space-between {
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
}
@mixin input-placeholder {
    &.placeholder { @content; }
    &:-moz-placeholder { @content; }
    &::-moz-placeholder { @content; }
    &:-ms-input-placeholder { @content; }
    &::-webkit-input-placeholder { @content; }
}
@mixin animation($value) {
    -webkit-animation: $value;
    -moz-animation: $value;
    -o-animation: $value;
    animation: $value;
}
@mixin keyframes($name) {
    @-webkit-keyframes #{$name} {
        @content; 
    }
    @-moz-keyframes #{$name} {
        @content;
    }
    @-ms-keyframes #{$name} {
        @content;
    }
    @keyframes #{$name} {
        @content;
    } 
}
@mixin font-face($font-family, $file-path, $font-weight, $font-style) {
    @font-face {
        font-family: $font-family;
        src: url('#{$file-path}.eot');
        src: url('#{$file-path}.eot?#iefix') format('embedded-opentype'),
            url('#{$file-path}.woff') format('woff'),
            url('#{$file-path}.ttf') format('truetype'),
            url('#{$file-path}.svg##{$font-family}') format('svg');
        font-weight: $font-weight;
        font-style: $font-style;
    }
}